# Accounting for WooCommerce

Contributors: bastho, leroysabrina, enzomangiante, agencenous  
Tags: woocommerce, accounting, bookkeeping, vat, export
Requires at least: 5.3  
Requires PHP: 7.4  
Tested up to: 6.5  
Stable tag: 1.6.3  
License: GPLv2  
License URI: https://www.gnu.org/licenses/gpl-2.0.html

All you need to transfer accounting data from Woocommerce to accounting softwares!

## Description

Define global codes for each type of data: products, taxes, shipping fees, payment methods, account number, analytic.

You can export your orders in a CSV file, filtered by date and status, set columns and separators so every common Accounting Software.
At this time, tested on : CIEL, Cogilog, EBP Accounting, GNUcash

With the <a href="https://apps.avecnous.eu/product/woocommerce-accounting/?mtm_campaign=wp-plugin&mtm_kwd=accounting-for-woocommerce-pro-addon&mtm_medium=wp-repo&mtm_source=premium">PRO addon</a>, you will be able to set accounting number and analytic code for each item of: products, taxes, shipping fees and payment methods.

Try out this plugin on our <a href="https://demo.avecnous.eu/compta/?mtm_campaign=wp-plugin&mtm_kwd=accounting-for-woocommerce-pro-addon&mtm_medium=wp-repo&mtm_source=demo">demo site</a> to see how it works.

### Features in free version

- Define global codes (account number and analytic) for each type of data: products, taxes, shipping fees, payment methods, customers
- Define which order status you want to export
- Export accounting in CSV file
- Custom date format
- Custom separator
- Custom decimal separator

### Features added by <a href="https://apps.avecnous.eu/product/woocommerce-accounting/?mtm_campaign=wp-plugin&mtm_kwd=accounting-for-woocommerce-pro-addon&mtm_medium=wp-repo&mtm_source=premium">PRO addon</a>

All free version features plus:

- Define accounting number and analytic code for each item of: products, taxes, shipping fees and payment methods
- Define accounting number for each customers
- Support invoice number from WooCommerce PDF Invoices & Packing Slips
- Mark orders as exported

Moreover, you can add the bank slips generated by <a href="https://wordpress.org/plugins/bank-slip-for-woocommerce/">Bank Slip for WooCommerce</a> (free) in your exports with the <a href="https://apps.avecnous.eu/produit/module-journal-de-banque-comptabilite-pour-woocommerce/?mtm_campaign=wp-plugin&mtm_kwd=accounting-for-woocommerce-bank-reconciliation&mtm_medium=wp-repo&mtm_source=premium">Bank Reconcilation addon</a>.


This plugin is a fork from WooCommerce Book-keeper with a huge refactor by <a href="https://apps.avecnous.eu/?mtm_campaign=wp-plugin&mtm_kwd=accounting-for-woocommerce-pro-addon&mtm_medium=wp-repo&mtm_source=auhthor">NOUS Ouvert Utile et Simple</a>.



## Installation

1. Upload into the `/wp-content/plugins/` directory
2. Activate the plugin through the 'Plugins' menu in WordPress admin
3. You can edit defaults settings in WooCommerce > Settings > Accounting

## Screenshots

1. Settings page
2. Export page

## Frequently asked questions

### Which accounting software are currently supported?

Accounting for WooCommerce exports configurable CSV files, so most of common accounting softwares will be able to read it.

At this time, exports have been tested on Cogilog and GnuCash.
