## Changelog

### 1.6.4

- Optimize data fetching
- Use main methods of WC_Order to get data
- Fix detection of Order status
- Correctly set account code for payment method and fall back on dafault code
- Improves performances of export
- Ensure variable types for PHP8.3
- Ensure compatibility for PHP7

### 1.6.3

- Add support for High-performance order storage
- Adds comment for translators
- Format comments for PHPCS compliance

### 1.6.2

- Fix missing product lines

### 1.6.1

- Fix columns sorting on product line with no coupon

### 1.6.0

- Add hooks 
- Add "rounding precision" export option
- Use domain name in CSV filename
- Skip taxes for small numbers (1E-5 syntax)
- More consistent settings page layout

### 1.5.0

Fix country code in refund export
Add hooks

### 1.4.4

- Fix export refunds
- export-refunds.php code clean up 

### 1.4.3

- Autofix column order bad structure

### 1.4.2

- Rename filter woocommerce_accounting:export:order_output_deliv_line. Pass shipping option
- Optimize algorythm by moving get_option outside the loop. Improve performances
- Use default customer account if chosen
- Earlier load of textdomain

### 1.4.1

- Add comments to functions
- Small UI improvements

### 1.4.0

- Refactor column mapping manager: merge column names and order.
- Tab style exports
- More obvious export setting toggler
- Default to hide refund export settings

**Fixes**

- Use formatted date for packing slip
- Fix missing icons in datepicker

### 1.3.1

- Fix column mapping regression
- Expend filters possibilities
- Fix var type for PHP8

### 1.3

- Add option for coupon column
- Fix PHP warnings
- Better layout in export page
- Add missing translatable strings

### 1.2.1

* Manage WooCommerce activated on network

### 1.2

- Use message notice instead of JS alert in case of empty result
- Factorize get orders params in export

New hooks:
- woocommerce_accounting:export_form:before_submit action hook
- woocommerce_accounting:export:get_orders_args filter hook

### 1.1.3

* Fix default settings tab name
* More consistent wording
* Rearrange export page layout.
* Update pot file
* Remove useless po/mo files

### 1.1.2

* Add hook to export filename
* Fix PHP syntax

### 1.1.1

* Do not export taxes having amount equal to zero
* Fix lost preference for "tab" separator

### 1.1

* Move welcome message from setting tab to help tab.

### 1.0.0

* Initial release

## Upgrade notice

### 1.4.2

Tech note: filter woocommerce_accounting:export:order_output_deliv_line moves to woocommerce_accounting:export:order_output_deliv_line_0 and woocommerce_accounting:export:order_output_deliv_line_1

### 1.3.1

Due to a regression fix, column mappging must be set again.
